Last modified: 2014-10-29 22:25:56 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 39482 - Rename "chapcomwiki" to "affcomwiki"
Rename "chapcomwiki" to "affcomwiki"
Status: PATCH_TO_REVIEW
Product: Wikimedia
Classification: Unclassified
Site requests (Other open bugs)
unspecified
All All
: Normal normal with 1 vote (vote)
: ---
Assigned To: Nobody - You can work on this!
: ops
: 69670 (view as bug list)
Depends on:
Blocks: wikis-to-rename
  Show dependency treegraph
 
Reported: 2012-08-19 13:02 UTC by Tomasz W. Kozlowski
Modified: 2014-10-29 22:25 UTC (History)
8 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Tomasz W. Kozlowski 2012-08-19 13:02:29 UTC
Following a Board of Trustees resolution[1] and a discussion between the Committee's members during its meeting in Berlin to change the name of the Committee, I would like to ask to rename its internal wiki (<http://chapcom.wikimedia.org>) from "chapcomwiki" to "affcomwiki" (<http://affcom.wikimedia.org>). 

I know that it's rather difficult to rename wikis at the moment, and that this might take some time, so I am filling the bug even before the formal change of the name (which would be done through another Board resolution).

And, of course, this is merely a technical request, as there is consensus among the ChapCom/AffCom members to move the wiki to the new name.

== References ==
* [1] http://wikimediafoundation.org/wiki/Resolution:Affiliations_Committee

Thanks in advance,
-- Tomasz (odder)
Comment 1 Dereckson 2012-09-07 14:03:35 UTC
Adding 'shellpolicy'.

Please tell us informed when you've the consensus.
Comment 2 Tomasz W. Kozlowski 2012-09-07 14:30:34 UTC
Sorry? There is no need for a consensus here, the Committee's wiki is a private one, limited only to its members and advisers. 

We woud like to have the name of the wiki changed following the change of the name of the Committee - see <http://wikimediafoundation.org/wiki/Resolution:Affiliations_Committee_Charter> for more information.
Comment 3 jeremyb 2012-09-07 14:38:37 UTC
(In reply to comment #1)
> Adding 'shellpolicy'.
> 
> Please tell us informed when you've the consensus.

Errrr, no, reverted. If odder says he speaks for the committee then he speaks for the committee.
Comment 4 Dereckson 2012-09-07 14:49:25 UTC
Oh sorry Odder, I misread the following paragraph ("there isn't " instead "there is"):
> And, of course, this is merely a technical request, as there is consensus among
> the ChapCom/AffCom members to move the wiki to the new name.

Thank you for the precision.
Comment 5 Sam Reed (reedy) 2013-03-14 23:47:42 UTC
MediaWiki config: https://gerrit.wikimedia.org/r/53892

Apache config: https://gerrit.wikimedia.org/r/53894



Daniel is making the DNS changes

This needs scheduling due to the database rename that is needed
Comment 6 Daniel Zahn 2013-03-14 23:49:17 UTC
added to DNS:



;; QUESTION SECTION:
;affcom.wikimedia.org.		IN	ANY

;; ANSWER SECTION:
affcom.wikimedia.org.	3600	IN	CNAME	wikimedia-lb.wikimedia.org.
wikimedia-lb.wikimedia.org. 600	IN	CNAME	wikimedia-lb.eqiad.wikimedia.org.
wikimedia-lb.eqiad.wikimedia.org. 3600 IN AAAA	2620:0:861:ed1a::
wikimedia-lb.eqiad.wikimedia.org. 3600 IN A	208.80.154.224
Comment 7 Sam Reed (reedy) 2013-03-15 02:22:14 UTC
(In reply to comment #5)
> MediaWiki config: https://gerrit.wikimedia.org/r/53892
> 
> Apache config: https://gerrit.wikimedia.org/r/53894
> 

Deployment attempted and reverted due to issues renaming external storage tables
Comment 8 Gerrit Notification Bot 2013-09-29 13:31:17 UTC
Change 53921 abandoned by Hashar:
Bug 39482 - Rename "chapcomwiki" to "affcomwiki"

Reason:
Old rotting patch.  Feel free to restore if that is still needed.

https://gerrit.wikimedia.org/r/53921
Comment 9 Anjana S 2013-11-12 14:20:23 UTC
Hello
   I 'm intrested in working on this bug,Can anybody please assign it to me..
Comment 10 Tomasz W. Kozlowski 2013-11-12 15:14:17 UTC
(In reply to comment #9)

>    I 'm intrested in working on this bug,Can anybody please assign it to me..

Not really; the bug has the 'ops' keyword which effectively means that only employees of the Wikimedia Foundation Operations Team are capable of resolving it (since it requires direct access to one or more servers or closed repos to change DNS settings, etc.). Thanks for asking, though :-)
Comment 11 Andre Klapper 2013-11-12 17:31:47 UTC
(In reply to comment #10)
> the bug has the 'ops' keyword which effectively means that only
> employees of the Wikimedia Foundation Operations Team are capable

Correct that this issue isn't fixable without specific permissions.
I'd just like to mention that many (not all) ops tasks can also be at least prepared (patches) by volunteers (e.g. Apache config changes). :)
Comment 12 jeremyb 2013-11-12 20:53:21 UTC
(In reply to comment #11)
> I'd just like to mention that many (not all) ops tasks can also be at least
> prepared (patches) by volunteers (e.g. Apache config changes). :)

Also, one example from comment #10 is wrong:

DNS can now be patched by any volunteer just like apache config.

https://git.wikimedia.org/summary/?r=operations/dns.git
Comment 13 jeremyb 2014-08-17 19:27:31 UTC
*** Bug 69670 has been marked as a duplicate of this bug. ***
Comment 14 Gerrit Notification Bot 2014-10-29 22:25:12 UTC
Change 169944 had a related patch set uploaded by Reedy:
chapcomwiki -> affcomwiki

https://gerrit.wikimedia.org/r/169944
Comment 15 Sam Reed (reedy) 2014-10-29 22:25:56 UTC
mediawiki config side of this for Mutliversion is at https://gerrit.wikimedia.org/r/#/c/169939/

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links